//
// This file is part of the OpenNMS(R) Application.
//
// OpenNMS(R) is Copyright (C) 2006 The OpenNMS Group, Inc.  All rights reserved.
// OpenNMS(R) is a derivative work, containing both original code, included code and modified
// code that was published under the GNU General Public License. Copyrights for modified
// and included code are below.
//
// OpenNMS(R) is a registered trademark of The OpenNMS Group, Inc.
//
// Original code base Copyright (C) 1999-2001 Oculan Corp.  All rights reserved.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
// For more information contact:
//      OpenNMS Licensing       <license@opennms.org>
//      http://www.opennms.org/
//      http://www.opennms.com/
//
package org.opennms.netmgt.model;



/**
 * <p>PollResult class.</p>
 *
 * @author ranger
 * @version $Id: $
 */
public class PollResult {
	
	private Integer m_id;
	private DemandPoll m_demandPoll;
	private OnmsMonitoredService m_monitoredService;
	private PollStatus m_status;
	
	/**
	 * <p>Constructor for PollResult.</p>
	 */
	public PollResult() {
		
	}
	
	/**
	 * <p>Constructor for PollResult.</p>
	 *
	 * @param id a int.
	 */
	public PollResult(int id) {
		m_id = id;
	}
	
	/**
	 * <p>getId</p>
	 *
	 * @return a {@link java.lang.Integer} object.
	 */
	public Integer getId() {
		return m_id;
	}

	/**
	 * <p>setId</p>
	 *
	 * @param id a int.
	 */
	public void setId(int id) {
		m_id = id;
	}

	/**
	 * <p>getMonitoredService</p>
	 *
	 * @return a {@link org.opennms.netmgt.model.OnmsMonitoredService} object.
	 */
	public OnmsMonitoredService getMonitoredService() {
		return m_monitoredService;
	}

	/**
	 * <p>setMonitoredService</p>
	 *
	 * @param monitoredService a {@link org.opennms.netmgt.model.OnmsMonitoredService} object.
	 */
	public void setMonitoredService(OnmsMonitoredService monitoredService) {
		m_monitoredService = monitoredService;
	}

	/**
	 * <p>getStatus</p>
	 *
	 * @return a {@link org.opennms.netmgt.model.PollStatus} object.
	 */
	public PollStatus getStatus() {
		return m_status;
	}

	/**
	 * <p>setStatus</p>
	 *
	 * @param status a {@link org.opennms.netmgt.model.PollStatus} object.
	 */
	public void setStatus(PollStatus status) {
		m_status = status;
	}

	/**
	 * <p>getDemandPoll</p>
	 *
	 * @return a {@link org.opennms.netmgt.model.DemandPoll} object.
	 */
	public DemandPoll getDemandPoll() {
		return m_demandPoll;
	}

	/**
	 * <p>setDemandPoll</p>
	 *
	 * @param poll a {@link org.opennms.netmgt.model.DemandPoll} object.
	 */
	public void setDemandPoll(DemandPoll poll) {
		this.m_demandPoll = poll;
	}	

}
